.\"	$NetBSD: j6x0tp.4,v 1.3 2003/11/05 08:21:32 wiz Exp $
.\"
.\" Copyright (c) 2003 Valeriy E. Ushakov
.\" All rights reserved.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\" 3. The name of the author may not be used to endorse or promote products
.\"    derived from this software without specific prior written permission.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR
.\" IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
.\" OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
.\" IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT,
.\" INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
.\" BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
.\" LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED
.\" AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
.\" OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
.\" OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
.\" SUCH DAMAGE.
.\"
.Dd November 5, 2003
.Dt J6X0TP 4 hpcsh
.Os
.Sh NAME
.Nm j6x0tp
.Nd driver for Jornada 680 touch-screen
.Sh SYNOPSIS
.Cd "j6x0tp* at adc?"
.Cd "wsmouse* at j6x0tp? mux 0"
.Cd "wskbd* at j6x0tp? mux 1"
.Pp
.Cd options J6X0TP_WSMOUSE_EXCLUSIVE
.Cd options J6X0TP_SETTINGS_ICON_KEYSYM=keysym
.Cd options J6X0TP_PGUP_ICON_KEYSYM=keysym
.Cd options J6X0TP_PGDN_ICON_KEYSYM=keysym
.Cd options J6X0TP_SWITCH_ICON_KEYSYM=keysym
.Sh DESCRIPTION
The
.Nm
driver provides support for the Jornada 680/690 touch-screen.
.Pp
Pen movements are passed to
.Xr wsmouse 4
as mouse clicks and drags.
.Pp
Taps on the on-screen
.Dq HP hard icons
are passed to
.Xr wskbd 4
as key presses.
.Pp
The
.Nm
driver has the following config options.
.Bl -ohang -offset indent
.It Cd options J6X0TP_WSMOUSE_EXCLUSIVE
Stop feeding input to
.Xr wskbd 4
when the attached
.Xr wsmouse 4
device is opened.
.It Cd options J6X0TP_SETTINGS_ICON_KEYSYM=keysym
.It Cd options J6X0TP_PGUP_ICON_KEYSYM=keysym
.It Cd options J6X0TP_PGDN_ICON_KEYSYM=keysym
.It Cd options J6X0TP_SWITCH_ICON_KEYSYM=keysym
Customize the mapping of on-screen
.Dq HP hard icons
to keys.
Default keymap assigns
.Dv KS_Home ,
.Dv KS_Prior ,
.Dv KS_Next ,
and
.Dv KS_End
respectively.
It is possible to change the mapping at run time with
.Xr wsconsctl 8 ,
but for a
.Dq keyboard
as small as this one it is convenient to be able to change the
defaults at compile time.
.El
.Sh SEE ALSO
.Xr adc 4 ,
.Xr wskbd 4 ,
.Xr wsmouse 4 ,
.Xr tpctl 8
.Sh HISTORY
The
.Nm
driver first appeared in
.Nx 2.0 .
